Subject: Re: keeping remote branches in sync

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 9 Oct 2008 08:16:36 -0700

Peter Harris <[email-masked]> wrote:
> On Thu, Oct 9, 2008 at 10:14 AM, Kevin Green wrote:
> > After topic branches are merged to master, we do some cleanup by deleting them
> > from the shared repo.
> >
> > One of the issues we have is that _my_ local repos remote branches aren't kept
> > in sync with the shared repo.
> ...
> 
> > I'd like some comment on whether our workflow could use some improvement.
> > Specifically, if there's a straightforward way to handle the issue above, that
> > would be great.  I've been looking through the manual on git-fetch and
> > git-pull and not seeing any options to do this.
> 
> Is "git remote prune" what you're looking for?

I keep meaning to add "git remote prune" logic into "git fetch",
e.g. as a "git fetch --prune" option.  fetch has all of the data
it needs to implement the prune already in memory, it just doesn't
have the loop to do the prune cleanup.

Now that "git remote" is in C it should be easy to share the prune
code between them, and make this more automatic.

-- 
Shawn.